> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Dad Joke

> Get a random dad joke.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/fun/dad-joke
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/fun/dad-joke:
    get:
      tags:
        - Fun Utilities
      summary: Dad Joke
      description: Get a random dad joke.
      operationId: dad_joke_v1_fun_dad_joke_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````